$tree-tabulation-width: 20px;

.Entities {
  section.content {
    ul {
      @include no-bullets;
    }

    ul.filters {
      margin-bottom: 30px;

      @include tablet {
        margin-bottom: 40px;
        text-align: right;

        li {
          display: inline-block;

          & + li {
            margin-left: 1.5em;
          }
        }
      }
    }

    ul.entities {
      @include tablet {
        columns: 3;
      }

      > li {
        @include tablet {
          width: 100%;
          display: inline-block;
        }
      }

      li {
        padding: 3px 0;
      }

      &.tree > li > span, li.parent > span {
        font-weight: $bold-weight;
      }

      &.tree > li, li.parent {
        position: relative;
        margin-bottom: 3px;
        padding-top: 3px;
        border-top: $border-width solid rgba($text-color, 0.1);

        .Button {
          position: absolute;
          top: 4px;
          right: 0;
          padding: 0;
          @include tablet {
            padding: 1px;
          }
        }

        &.collapsed {
          ul {
            display: none;
          }
        }

        &.expanded {
          ul {
            display: block;
          }
        }

        ul.children {
          margin-left: $tree-tabulation-width;
          li {
            font-weight: $normal-weight;
          }
        }
      }

      span.entity {
        a {
          color: $text-color;
          border-bottom: none;

          &:hover {
            color: $primary-color;
          }
        }

        span.references {
          @include small-text;
          margin-left: 0.75em;
          font-weight: $normal-weight;
          color: $light-gray;
        }
      }
    }
  }
}
